## org.apache.poi.ddf
Interface EscherSerializationListener

All Known Implementing Classes:
  NullEscherSerializationListener

    public interface EscherSerializationListener

Interface for listening to escher serialization events.

Author:
  Glen Stampoultzis (glens at apache.org)

Method Summary
`void` `afterRecordSerialize(int offset, short recordId, int size, EscherRecord record)` Fired after a record has been serialized.
`void` `beforeRecordSerialize(int offset, short recordId, EscherRecord record)` Fired before a given escher record is serialized.

Method Detail

### beforeRecordSerialize

    void beforeRecordSerialize(int offset,
                               short recordId,
                               EscherRecord record)

  Fired before a given escher record is serialized.

  Parameters:
    `offset` - The position in the data array at which the record will be serialized.
    `recordId` - The id of the record about to be serialized.

### afterRecordSerialize

    void afterRecordSerialize(int offset,
                              short recordId,
                              int size,
                              EscherRecord record)

  Fired after a record has been serialized.

  Parameters:
    `offset` - The position of the end of the serialized record + 1
    `recordId` - The id of the record about to be serialized
    `size` - The number of bytes written for this record. If it is a container record then this will include the size of any included records.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.